Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.explorereditorbridge.internal
Class EditorContext

    java.lang.Object
      org.eclipse.emf.ecp.explorereditorbridge.internal.EditorContext

All Implemented Interfaces:
  ECPEditorContext

    public class EditorContext

extends Object
implements ECPEditorContext

An EditorContext depending on an `ECPProject`.

Author:
  Eugen Neufeld

Constructor Summary
`EditorContext(org.eclipse.emf.ecore.EObject modelElement, ECPProject ecpProject)` Default constructor.

Method Summary
`void` | `addECPContextDisposeListener(ECPContextDisposedListener modelElementContextListener)` Adds a `ECPContextDisposedListener`.
`void` | `dispose()` Dispose the context.
`org.eclipse.emf.ecore.EObject` | `getDomainObject()` The domain `EObject`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditorContext

    public EditorContext(org.eclipse.emf.ecore.EObject modelElement,
                         ECPProject ecpProject)

  Default constructor.

  Parameters:
    `modelElement` - the model element to be displayed in the editor
    `ecpProject` - the `ECPProject` containing the model element

Method Detail

### addECPContextDisposeListener

    public void addECPContextDisposeListener(ECPContextDisposedListener modelElementContextListener)

  Adds a `ECPContextDisposedListener`.

  Specified by:
    `addECPContextDisposeListener` in interface `ECPEditorContext`
  Parameters:
    `modelElementContextListener` - the `ECPContextDisposedListener`

### dispose

    public void dispose()

  Dispose the context.

  Specified by:
    `dispose` in interface `ECPEditorContext`

### getDomainObject

    public org.eclipse.emf.ecore.EObject getDomainObject()

  The domain `EObject`.

  Specified by:
    `getDomainObject` in interface `ECPEditorContext`
  Returns:
    the `EObject`
  See Also:
    `ECPEditorContext.getDomainObject()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.